Extending Qt Creator Manual | DeviceProcessSignalOperation

Extending Qt Creator Manual 4.5.2

# DeviceProcessSignalOperation Class

(ProjectExplorer::DeviceProcessSignalOperation)

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

virtual void | interruptProcess(qint64 pid) = 0
virtual void | interruptProcess(const QString &filePath) = 0
virtual void | killProcess(qint64 pid) = 0
virtual void | killProcess(const QString &filePath) = 0
void | setDebuggerCommand(const QString &cmd)

## Signals

void | finished(const QString &errorMessage)

## Protected Functions

| DeviceProcessSignalOperation()

## Member Type Documentation

### typedef DeviceProcessSignalOperation::Ptr

## Member Function Documentation

### `[protected]` DeviceProcessSignalOperation::DeviceProcessSignalOperation()

Default constructs an instance of DeviceProcessSignalOperation.

### `[signal]` void DeviceProcessSignalOperation::finished(const QString &errorMessage)

### `[pure virtual]` void DeviceProcessSignalOperation::interruptProcess(qint64 pid)

### `[pure virtual]` void DeviceProcessSignalOperation::interruptProcess(const QString &filePath)

### `[pure virtual]` void DeviceProcessSignalOperation::killProcess(qint64 pid)

### `[pure virtual]` void DeviceProcessSignalOperation::killProcess(const QString &filePath)

### void DeviceProcessSignalOperation::setDebuggerCommand(const QString &cmd)